<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>GDSFactory (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GDSFactory (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/DbAttachInfo.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/GDSFactory.html" target="_top">Frames</a></li>
<li><a href="GDSFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Class GDSFactory" class="title">Class GDSFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.impl.GDSFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">GDSFactory</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">The class <code>GDSFactory</code> exists to provide a way to obtain objects
 implementing GDS and Clumplet.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#GDSFactory--">GDSFactory</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getConnectionClass-org.firebirdsql.gds.impl.GDSType-">getConnectionClass</a></span>(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</code>
<div class="block">Get class extending the <a href="../../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc"><code>FBConnection</code></a>
 that will be instantiated when new connection is created.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng">FbDatabaseFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getDatabaseFactoryForType-org.firebirdsql.gds.impl.GDSType-">getDatabaseFactoryForType</a></span>(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getDatabasePath-org.firebirdsql.gds.impl.GDSType-java.lang.String-">getDatabasePath</a></span>(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdbcUrl)</code>
<div class="block">Get path to the database from the specified JDBC URL.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getDatabasePath-org.firebirdsql.gds.impl.GDSType-java.lang.String-java.lang.Integer-java.lang.String-">getDatabasePath</a></span>(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;server,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;port,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Get connection string for the specified server name, port and database
 name/path.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getDefaultGDSType--">getDefaultGDSType</a></span>()</code>
<div class="block">Get default GDS type.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getJdbcUrl-org.firebirdsql.gds.impl.GDSType-java.lang.String-">getJdbcUrl</a></span>(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;databasePath)</code>
<div class="block">Create JDBC URL for the specified GDS type and database path.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getSupportedProtocols--">getSupportedProtocols</a></span>()</code>
<div class="block">Get collection of the supported JDBC protocols.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#getTypeForProtocol-java.lang.String-">getTypeForProtocol</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdbcUrl)</code>
<div class="block">Get GDS type for the specified JDBC URL.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html#registerPlugin-org.firebirdsql.gds.impl.GDSFactoryPlugin-">registerPlugin</a></span>(<a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl">GDSFactoryPlugin</a>&nbsp;plugin)</code>
<div class="block">Register plugin for this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GDSFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GDSFactory</h4>
<pre>public&nbsp;GDSFactory()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="registerPlugin-org.firebirdsql.gds.impl.GDSFactoryPlugin-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerPlugin</h4>
<pre>public static&nbsp;void&nbsp;registerPlugin(<a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl">GDSFactoryPlugin</a>&nbsp;plugin)</pre>
<div class="block">Register plugin for this factory. Usually there is no need to register
 plugins, since this happens automatically during initialization of this
 class. However, there might be a situation when automatic plugin
 registration does not work.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>plugin</code> - instance of <a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><code>GDSFactoryPlugin</code></a> to register.</dd>
</dl>
</li>
</ul>
<a name="getDefaultGDSType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultGDSType</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;getDefaultGDSType()</pre>
<div class="block">Get default GDS type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl"><code>GDSType</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getDatabaseFactoryForType-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseFactoryForType</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng">FbDatabaseFactory</a>&nbsp;getDatabaseFactoryForType(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</pre>
</li>
</ul>
<a name="getDatabasePath-org.firebirdsql.gds.impl.GDSType-java.lang.String-java.lang.Integer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabasePath</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabasePath(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType,
                                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;server,
                                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;port,
                                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)
                              throws <a href="../../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></pre>
<div class="block">Get connection string for the specified server name, port and database
 name/path. This method delegates call to the factory plugin corresponding
 to the specified type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - instance of <a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl"><code>GDSType</code></a> for which connection string should be returned.</dd>
<dd><code>server</code> - name or IP address of the database server, applies only to IPC and TCP connection modes, in other cases
         should be <code>null</code>.</dd>
<dd><code>port</code> - port on which database server opened listening socket, applies to TCP connection mode only, may be
         <code>null</code>.</dd>
<dd><code>path</code> - database name or path to the database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>full connection string</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></code> - if connection string cannot be obtained.</dd>
</dl>
</li>
</ul>
<a name="getDatabasePath-org.firebirdsql.gds.impl.GDSType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabasePath</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabasePath(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType,
                                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdbcUrl)
                              throws <a href="../../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></pre>
<div class="block">Get path to the database from the specified JDBC URL. This method finds
 the appropriate plugin and delegates the call to it. Plugin is
 responsible for the call execution.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type of the plugin, to which operation will be delegated to.</dd>
<dd><code>jdbcUrl</code> - JDBC url from which the database path must be extracted.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>path to the database specified in the JDBC URL.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></code> - error when database path cannot be extracted.</dd>
</dl>
</li>
</ul>
<a name="getSupportedProtocols--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSupportedProtocols</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getSupportedProtocols()</pre>
<div class="block">Get collection of the supported JDBC protocols.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>set of the supported protocols.</dd>
</dl>
</li>
</ul>
<a name="getJdbcUrl-org.firebirdsql.gds.impl.GDSType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJdbcUrl</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJdbcUrl(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;databasePath)</pre>
<div class="block">Create JDBC URL for the specified GDS type and database path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type of the plugin, to which operation will be delegated to.</dd>
<dd><code>databasePath</code> - path to the database.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>newly created JDBC URL.</dd>
</dl>
</li>
</ul>
<a name="getTypeForProtocol-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeForProtocol</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;getTypeForProtocol(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdbcUrl)</pre>
<div class="block">Get GDS type for the specified JDBC URL. This method finds the plugin
 corresponding to the specified type and delegates the call to it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jdbcUrl</code> - JDBC URL for which GDS type should be obtained.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl"><code>GDSType</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getConnectionClass-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConnectionClass</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;getConnectionClass(<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</pre>
<div class="block">Get class extending the <a href="../../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc"><code>FBConnection</code></a>
 that will be instantiated when new connection is created. This method
 finds the plugin for the specified type and delegates the call to it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - instance of <a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl"><code>GDSType</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>class to instantiate for the database connection.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/DbAttachInfo.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/GDSFactory.html" target="_top">Frames</a></li>
<li><a href="GDSFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
